%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

### Abstract ###

Name: gnome-doc-utils
Version: 0.18.1
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+ and GFDL
Group: Development/Tools
Summary: Documentation utilities for GNOME
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://download.gnome.org/sources/gnome-doc-utils/0.18/%{name}-%{version}.tar.bz2

BuildArch: noarch

### Patches ###

# RH bug #438638 / GNOME bug #524207
Patch1: gnome-doc-utils-0.14.0-package.patch

### Dependencies ###

Requires: libxml2 >= 2.6.12
Requires: libxslt >= 1.1.8
Requires: libxml2-python
# for /usr/share/aclocal
Requires: automake
# for /usr/share/gnome/help
#Requires: yelp
# Currently creates a chicken/egg problem; gnome-doc-utils is needed in
# the build-chain for yelp, thus making it nearly impossible to ever
# update yelp for say newer Firefox.
Requires: gnome-doc-utils-stylesheets = %{version}-%{release}

### Build Dependencies ###

BuildRequires: libxml2-devel >= 2.6.12
BuildRequires: libxslt-devel >= 1.1.8
BuildRequires: libxml2-python

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: scrollkeeper

BuildRequires: docbook-dtds

%description
gnome-doc-utils is a collection of documentation utilities for the GNOME
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree.

# note that this is an "inverse dependency" subpackage
%package stylesheets
Summary: XSL stylesheets used by gnome-doc-utils
License: LGPLv2+
Group: Development/Tools
# for /usr/share/pkgconfig
Requires: pkgconfig
# for /usr/share/xml
Requires: xml-common

%description stylesheets
The gnome-doc-utils-stylesheets package contains XSL stylesheets which
are used by the tools in gnome-doc-utils and by yelp.

%prep
%setup -q
%patch1 -p1 -b .package

%build
%configure --disable-scrollkeeper --enable-build-utils
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig/
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc $RPM_BUILD_ROOT%{_datadir}/pkgconfig
sed -i -e '/^Requires:/d' $RPM_BUILD_ROOT%{_datadir}/pkgconfig/xml2po.pc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS COPYING COPYING.GPL COPYING.LGPL
%{_bindir}/*
%{_datadir}/aclocal/gnome-doc-utils.m4
%{_datadir}/gnome/help/gnome-doc-mallard-spec/
%{_datadir}/gnome/help/gnome-doc-make
%{_datadir}/gnome/help/gnome-doc-xslt
%{_datadir}/omf/gnome-doc-make
%{_datadir}/omf/gnome-doc-xslt
%{_datadir}/gnome-doc-utils
%doc %{_mandir}/man1/xml2po.1.gz
%{python_sitelib}/xml2po/

%files stylesheets
%defattr(-,root,root,-)
%{_datadir}/pkgconfig/*
%{_datadir}/xml/gnome
%{_datadir}/xml/mallard


%changelog

